Subject: Re: [PATCH RFC] v2 expedited "big hammer" RCU grace periods

From: Evgeniy Polyakov <[email-masked]>
Date: Tue, 28 Apr 2009 00:56:02 +0400

Hi.

On Mon, Apr 27, 2009 at 11:54:24AM -0400, Mathieu Desnoyers ([email-masked]) wrote:
> It might sound a bit simplistic, but... scheduling a high-priority
> workqueue on every CPUs would give you the guarantees you seem to need
> here. Or is the delay of letting the scheduler schedule a high-priority
> task a delay you are trying to avoid ?

I believe not the abstract (empty) task should be invoked, but a real
task which does the work. Presumably if we want to schedule a way
networking part to copy its counters, system should wake up the
appropriate userspace thread blocked in a grace-period waking path, so
effectively either RCU callback processing code or some registered
thread should be awakened.

Just a detail though.

-- 
	Evgeniy Polyakov